Edit person

Prev Next

Available in VPC

Edit person information.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PATCH /api/v1/workspaces/{workspace_name}/persons/{person_id}

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
person_id String Required Person ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
name String Optional Person name
  • 1-50 characters
  • Can't be duplicated within a workspace.
  • Can't be registered if it contains a blank string or only spaces.
description String Optional Person description
  • 1-700 characters
primaryThumbnailId Integer Optional Main thumbnail ID

Request example

The request example is as follows:

curl --location --request PATCH 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "name": "Jae-suk Yoo",
  "description": "He's the representative MC in Korea.",
  "primaryThumbnailId": 3002
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Person details object
result.id Integer - Person ID
result.name String - Person name
result.description String - Person description
result.tags Array - List of tags set for the person: tags
  • 0 and up
result.thumbnails Array - List of thumbnails registered for the person: thumbnails
  • 0 and up

tags

The following describes tags.

Field Type Required Description
id Integer - Tag ID
name String - Tag name

thumbnails

The following describes thumbnails.

Field Type Required Description
id Integer - Thumbnail ID
url String - Thumbnail image URL (presigned URL)
isPrimaryThumbnail Boolean - Whether it is a main thumbnail
  • true | false

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "id": 1001,
    "name": "Jae-suk Yoo",
    "description": "He's the representative MC in Korea.",
    "tags": [
      {
        "id": 202,
        "name": "Actor"
      }
    ],
    "thumbnails": [
      {
        "id": 3002,
        "url": "https://kr.object.ncloudstorage.com/.../9870829644790204567.jpg?...",
        "isPrimaryThumbnail": true
      }
    ]
  }
}